|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Obsolete Members for QGLWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QGLWidget class reference

### Public Functions

- void setFormat ( const QGLFormat & format ) `(obsolete)`

- 3 public functions inherited from QWidget

## Member Function Documentation

### void QGLWidget::setFormat ( const QGLFormat & format )

Sets a new format for this widget.

If the underlying OpenGL/Window system cannot satisfy all the features requested in format, the nearest subset of features will be used. After creation, the format() method will return the actual rendering context format obtained.

The widget will be assigned a new QGLContext, and the initializeGL() function will be executed for this new context before the first resizeGL() or paintGL().

This method will try to keep any existing display list sharing with other QGLWidgets, but it may fail. Use isSharing() to test.

See also format(), isSharing(), and isValid().